#ifndef INPUTBUSINESS_H
#define INPUTBUSINESS_H

#include <QObject>
#include "inputmanager.h"
#include "servermanager.h"

class InputBusiness : public QObject
{
    Q_OBJECT
public:
    InputBusiness(InputManager* input, const QList<QVariant>& channels, ServerManager* server);
    virtual ~InputBusiness();

public slots:
    QList<QPair<QVariant, QVariant> > readAndSend(quint64 timestamp);

private:
    InputManager* m_input;

    QList<QVariant> m_channels;

    ServerManager* m_server;
};

#endif // INPUTBUSINESS_H
