#ifndef SERVERMANAGER_H
#define SERVERMANAGER_H

#include <QObject>
#include <QPair>
#include <ptsocket/ptserver.h>

class ServerManager : public QObject
{
    Q_OBJECT
public:
    explicit ServerManager(QObject *parent = 0);

signals:

public slots:
    bool init(const QHostAddress& addr, const int& port);

    void sendData(const QList<QPair<QVariant, QVariant> > &values, const qint64& timestamp);

private:
    PTServer* m_server;

};

#endif // SERVERMANAGER_H
